Package com.independentsoft.office.vml

# Class EmbeddedOleObject

java.lang.Object
com.independentsoft.office.vml.EmbeddedOleObject

All Implemented Interfaces:
  `IContentElement`, `IVmlElement`

public class EmbeddedOleObject extends Object implements IVmlElement
The Class EmbeddedOleObject.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedOleObject()`
  Instantiates a new embedded ole object.
  `EmbeddedOleObject​(InternalXMLStreamReader reader)`
  Instantiates a new embedded ole object.
  `EmbeddedOleObject​(String filePath)`
  Instantiates a new embedded ole object.
  `EmbeddedOleObject​(String fileName, byte[] buffer)`
  Instantiates a new embedded ole object.
  `EmbeddedOleObject​(String fileName, InputStream stream)`
  Instantiates a new embedded ole object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedOleObject`
  `clone()`
  `String`
  `getApplication()`
  Gets the application.
  `byte[]`
  `getBuffer()`
  Gets the buffer.
  `List<IContentElement>`
  `getContentElements()`
  `OleDrawAspect`
  `getDrawAspect()`
  Gets the draw aspect.
  `String`
  `getFieldSwitches()`
  Gets the field switches.
  `String`
  `getFileName()`
  Gets the file name.
  `InputStream`
  `getInputStream()`
  Gets the input stream.
  `OleLinkType`
  `getLinkType()`
  Gets the link type.
  `String`
  `getObjectID()`
  Gets the object id.
  `String`
  `getShapeID()`
  Gets the shape id.
  `OleType`
  `getType()`
  Gets the type.
  `OleUpdateMode`
  `getUpdateMode()`
  Gets the update mode.
  `boolean`
  `isLocked()`
  Checks if is locked.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  Save.
  `void`
  `save​(String filePath)`
  Save.
  `void`
  `save​(String filePath, boolean overwrite)`
  Save.
  `void`
  `setApplication​(String application)`
  Sets the application.
  `void`
  `setBuffer​(byte[] buffer)`
  Sets the buffer.
  `void`
  `setDrawAspect​(OleDrawAspect drawAspect)`
  Sets the draw aspect.
  `void`
  `setFieldSwitches​(String fieldSwitches)`
  Sets the field switches.
  `void`
  `setLinkType​(OleLinkType linkType)`
  Sets the link type.
  `void`
  `setLocked​(boolean isLocked)`
  Sets the locked.
  `void`
  `setObjectID​(String objectID)`
  Sets the object id.
  `void`
  `setShapeID​(String shapeID)`
  Sets the shape id.
  `void`
  `setType​(OleType type)`
  Sets the type.
  `void`
  `setUpdateMode​(OleUpdateMode updateMode)`
  Sets the update mode.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedOleObject

    public EmbeddedOleObject()
    Instantiates a new embedded ole object.

  - ### EmbeddedOleObject

    public EmbeddedOleObject​(String filePath) throws IOException
    Instantiates a new embedded ole object.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### EmbeddedOleObject

    public EmbeddedOleObject​(String fileName, InputStream stream) throws IOException
    Instantiates a new embedded ole object.
    Parameters:
      `fileName` - the file name
      `stream` - the stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### EmbeddedOleObject

    public EmbeddedOleObject​(String fileName, byte[] buffer)
    Instantiates a new embedded ole object.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### EmbeddedOleObject

    public EmbeddedOleObject​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new embedded ole object.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getInputStream

    public InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public EmbeddedOleObject clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFieldSwitches

    public String getFieldSwitches()
    Gets the field switches.
    Returns:
      the field switches

  - ### setFieldSwitches

    public void setFieldSwitches​(String fieldSwitches)
    Sets the field switches.
    Parameters:
      `fieldSwitches` - the new field switches

  - ### getLinkType

    public OleLinkType getLinkType()
    Gets the link type.
    Returns:
      the link type

  - ### setLinkType

    public void setLinkType​(OleLinkType linkType)
    Sets the link type.
    Parameters:
      `linkType` - the new link type

  - ### isLocked

    public boolean isLocked()
    Checks if is locked.
    Returns:
      true, if is locked

  - ### setLocked

    public void setLocked​(boolean isLocked)
    Sets the locked.
    Parameters:
      `isLocked` - the new locked

  - ### getDrawAspect

    public OleDrawAspect getDrawAspect()
    Gets the draw aspect.
    Returns:
      the draw aspect

  - ### setDrawAspect

    public void setDrawAspect​(OleDrawAspect drawAspect)
    Sets the draw aspect.
    Parameters:
      `drawAspect` - the new draw aspect

  - ### getObjectID

    public String getObjectID()
    Gets the object id.
    Returns:
      the object id

  - ### setObjectID

    public void setObjectID​(String objectID)
    Sets the object id.
    Parameters:
      `objectID` - the new object id

  - ### getApplication

    public String getApplication()
    Gets the application.
    Returns:
      the application

  - ### setApplication

    public void setApplication​(String application)
    Sets the application.
    Parameters:
      `application` - the new application

  - ### getShapeID

    public String getShapeID()
    Gets the shape id.
    Returns:
      the shape id

  - ### setShapeID

    public void setShapeID​(String shapeID)
    Sets the shape id.
    Parameters:
      `shapeID` - the new shape id

  - ### getType

    public OleType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(OleType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getUpdateMode

    public OleUpdateMode getUpdateMode()
    Gets the update mode.
    Returns:
      the update mode

  - ### setUpdateMode

    public void setUpdateMode​(OleUpdateMode updateMode)
    Sets the update mode.
    Parameters:
      `updateMode` - the new update mode

  - ### getFileName

    public String getFileName()
    Gets the file name.
    Returns:
      the file name

  - ### getBuffer

    public byte[] getBuffer()
    Gets the buffer.
    Returns:
      the buffer

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Sets the buffer.
    Parameters:
      `buffer` - the new buffer